| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
lpc_swim.c File Reference
`#include "lpc_swim.h"`
`#include "lpc_fonts.h"`
`#include "lpc_helvr10.h"`

Go to the source code of this file.

## Functions
static int32_t | swim_abs (int32_t v1)
static void | swim_put_line_raw (SWIM_WINDOW_T *win, int32_t x1, int32_t y1, int32_t x2, int32_t y2)
static BOOL_32 | swim_window_open_p (SWIM_WINDOW_T *win, int32_t xsize, int32_t ysize, COLOR_T *fbaddr, int32_t xwin_min, int32_t ywin_min, int32_t xwin_max, int32_t ywin_max, int32_t border_width, COLOR_T pcolor, COLOR_T bkcolor, COLOR_T fcolor, BOOL_32 clear)
static void | swim_plot4points (SWIM_WINDOW_T *win, int32_t cx, int32_t cy, int32_t x, int32_t y, int32_t Filled)
static void | swim_plot8points (SWIM_WINDOW_T *win, int32_t cx, int32_t cy, int32_t x, int32_t y, int32_t Filled)
void | swim_put_pixel (SWIM_WINDOW_T *win, int32_t x1, int32_t y1)
| Puts a pixel at the virtual X, Y coordinate in the window.
void | swim_put_line (SWIM_WINDOW_T *win, int32_t x1, int32_t y1, int32_t x2, int32_t y2)
| Draw a line in the virtual window with clipping.
void | swim_put_diamond (SWIM_WINDOW_T *win, int32_t x, int32_t y, int32_t rx, int32_t ry)
| Draw a diamond in the virtual window.
void | swim_put_circle (SWIM_WINDOW_T *win, int32_t cx, int32_t cy, int32_t radius, int32_t Filled)
| Draws a circle in the virtual window.
void | swim_clear_screen (SWIM_WINDOW_T *win, COLOR_T colr)
| Fills the draw area of the display with the selected color.
void | swim_put_box (SWIM_WINDOW_T *win, int32_t x1, int32_t y1, int32_t x2, int32_t y2)
| Place a box with corners (X1, Y1) and (X2, Y2)
BOOL_32 | swim_window_open (SWIM_WINDOW_T *win, int32_t xsize, int32_t ysize, COLOR_T *fbaddr, int32_t xwin_min, int32_t ywin_min, int32_t xwin_max, int32_t ywin_max, int32_t border_width, COLOR_T pcolor, COLOR_T bkcolor, COLOR_T fcolor)
| Initializes a window and the default values for the window.
BOOL_32 | swim_window_open_noclear (SWIM_WINDOW_T *win, int32_t xsize, int32_t ysize, COLOR_T *fbaddr, int32_t xwin_min, int32_t ywin_min, int32_t xwin_max, int32_t ywin_max, int32_t border_width, COLOR_T pcolor, COLOR_T bkcolor, COLOR_T fcolor)
| Initializes a window without clearing it.
void | swim_window_close (SWIM_WINDOW_T *win)
| Deallocates a window.
void | swim_set_pen_color (SWIM_WINDOW_T *win, COLOR_T pen_color)
| Sets the pen color.
void | swim_set_fill_color (SWIM_WINDOW_T *win, COLOR_T fill_color)
| Sets the fill color.
void | swim_set_bkg_color (SWIM_WINDOW_T *win, COLOR_T bkg_color)
| Sets the color used for backgrounds.
int32_t | swim_get_horizontal_size (SWIM_WINDOW_T *win)
| Get the virtual window horizontal size.
int32_t | swim_get_vertical_size (SWIM_WINDOW_T *win)
| Get the virtual window vertical size.

## Function Documentation

static int32_t swim_abs | ( | int32_t | v1 | ) |
| static

Definition at line 49 of file lpc_swim.c.

static void swim_plot4points | ( | SWIM_WINDOW_T * | win,
|  | int32_t | cx,
|  | int32_t | cy,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | Filled
| ) |  |
| static

Definition at line 198 of file lpc_swim.c.

static void swim_plot8points | ( | SWIM_WINDOW_T * | win,
|  | int32_t | cx,
|  | int32_t | cy,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | Filled
| ) |  |
| static

Definition at line 227 of file lpc_swim.c.

static void swim_put_line_raw | ( | SWIM_WINDOW_T * | win,
|  | int32_t | x1,
|  | int32_t | y1,
|  | int32_t | x2,
|  | int32_t | y2
| ) |  |
| static

Definition at line 59 of file lpc_swim.c.

static BOOL_32 swim_window_open_p | ( | SWIM_WINDOW_T * | win,
|  | int32_t | xsize,
|  | int32_t | ysize,
|  | COLOR_T * | fbaddr,
|  | int32_t | xwin_min,
|  | int32_t | ywin_min,
|  | int32_t | xwin_max,
|  | int32_t | ywin_max,
|  | int32_t | border_width,
|  | COLOR_T | pcolor,
|  | COLOR_T | bkcolor,
|  | COLOR_T | fcolor,
|  | BOOL_32 | clear
| ) |  |
| static

Definition at line 112 of file lpc_swim.c.